Remitter Whitelisting

This API allows client to whitelist remitter account details to accept incoming funds in the virtual account.

Flow

  1. The client will request the whitelisting of account using the remitter whitelisting API by passing account details in the request.
  2. The Decentro admin receives a request to whitelist a remitter account and processes it in the system.
  3. The Decentro admin approves or rejects the whitelisting request after reviewing the remitter account details.
  4. The client receives a remitter whitelisting callback indicating whether the whitelisting is approved or rejected.
  5. Alternatively, The client can subscribe to a pre-deposit check callback with the remitter details of the transaction once the remitter has completed the payment. The client has to confirm whether to accept or reject the incoming funds in the virtual account.
    1. If the client accepts the funds, the virtual account will be credited with the transaction amount.
    2. If the client rejects the funds, the virtual account will not be credited, and the funds will be reversed back to the source (payer).

Note: If virtual_account_number is passed in the request then, whitelisting of remitter account will be done against that specific virtual account. If va_suffix is passed, whitelisting of remitter account will be done against all the virtual accounts of that suffix on different bank partners at Decentro.

API Endpoints

Body Params
string

Virtual account number created at Decentro. Mandatory if va_suffix is not passed.

string
required

A unique identifier assigned to client's by Decentro during On boarding.

string

The suffix part of your virtual account. If VA number is 4625250000000001, then 0000000001 is the va_suffix. Mandatory if virtual_account_number is not passed.

string
required

A nested block that contains arrays of the account details that need to be whitelisted.

string

The account number of the remitter that needs to be whitelisted.

string

The ifsc of the remitter account that needs to be whitelisted.

string

The relationship of the client with the remitter whose account is being whitelisted.

Headers
string
required

Decentro assigned client_id during on boarding.

string
required

Decentro assigned client_secret during on boarding.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json